package game;

import java.io.InputStream;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.media.Manager;
import javax.microedition.media.control.VideoControl;

/**
 * JunoMidlet.java
 *
 * @author Noda
 */
public class JunoMidlet extends MIDlet implements CommandListener {
    
    static JunoMidlet midlet;
    static boolean isServer = true;
    javax.microedition.media.Player videoPlayer;    // video player for introduction video
    VideoControl video;                             // video control for introduction video
    
    /** Creates a new instance of JunoMidlet */
    public JunoMidlet() {
        midlet = this;
        initialize();
    }
    
    private game.JunoGameCanvas Game;//GEN-BEGIN:MVDFields
    private org.netbeans.microedition.lcdui.SplashScreen intro;
    private org.netbeans.microedition.svg.SVGMenu mainMenu;
    private javax.microedition.m2g.SVGImage svgImage1;
    private org.netbeans.microedition.svg.SVGMenu credits;
    private javax.microedition.m2g.SVGImage svgImage2;
    private org.netbeans.microedition.svg.SVGMenu multi;
    private javax.microedition.m2g.SVGImage svgImage4;
    private game.ConnectionWaitCanvas Connection;
    private javax.microedition.m2g.SVGImage svgImage3;
    private org.netbeans.microedition.svg.SVGMenu help1;
    private org.netbeans.microedition.svg.SVGMenu help2;
    private org.netbeans.microedition.svg.SVGMenu help3;
    private org.netbeans.microedition.svg.SVGMenu help4;
    private org.netbeans.microedition.svg.SVGMenu help5;
    private org.netbeans.microedition.svg.SVGMenu help6;
    private javax.microedition.m2g.SVGImage svgImage5;
    private javax.microedition.m2g.SVGImage svgImage6;
    private javax.microedition.m2g.SVGImage svgImage7;
    private javax.microedition.m2g.SVGImage svgImage8;
    private javax.microedition.m2g.SVGImage svgImage9;//GEN-END:MVDFields
//GEN-LINE:MVDMethods
    
    /** Called by the system to indicate that a command has been invoked on a particular displayable.//GEN-BEGIN:MVDCABegin
     * @param command the Command that ws invoked
     * @param displayable the Displayable on which the command was invoked
     */
    public void commandAction(Command command, Displayable displayable) {//GEN-END:MVDCABegin
        // Insert global pre-action code here
        System.gc();
        if (displayable == intro) {//GEN-BEGIN:MVDCABody
            if (command == intro.DISMISS_COMMAND) {//GEN-END:MVDCABody
                // Insert pre-action code here
                // stop video player and start the game thread
                try {
                    if (videoPlayer != null && video != null) {
                        try {
                            videoPlayer.stop();
                        } catch (Exception e) {
                        
                        }
                        videoPlayer.deallocate();
                        videoPlayer.close();
                    }
                } catch (Exception e) {
                    this.alertError(e.toString());
                }
                System.gc();
                SoundManager.initSoundManager();
                SoundManager.createPlayer(0, "/sounds/menu/menu.mp3");
                SoundManager.setLoop(0, true);
                SoundManager.setVolume(0, 70);
                getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction55
                // Insert post-action code here
                SoundManager.play(0);
            }//GEN-BEGIN:MVDCACase55
        } else if (displayable == mainMenu) {
            if (command == mainMenu.SELECT_COMMAND) {
                switch (mainMenu.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase55
                        // delete existing game and create a new one
                        SoundManager.createPlayer(1, "/sounds/menu/solo.amr");
                        SoundManager.play(1);
                        mainMenu = null;
                        credits = null;
                        multi = null;
                        svgImage1 = null;
                        svgImage2 = null;
                        svgImage3 = null;
                        svgImage4 = null;
                        svgImage5 = null;
                        svgImage6 = null;
                        svgImage7 = null;
                        svgImage8 = null;
                        svgImage9 = null;
                        help1 = null;
                        help2 = null;
                        help3 = null;
                        help4 = null;
                        help5 = null;
                        help6 = null;
                        
                        Game = null;
                        System.gc();
                        while(SoundManager.isPlaying(1));
                        SoundManager.stop(0);
                        System.gc();
                        getDisplay().setCurrent(get_Game());//GEN-LINE:MVDCAAction60
                        isServer = true;
                        Game.start();
                        break;//GEN-BEGIN:MVDCACase60
                    case 1://GEN-END:MVDCACase60
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/multi.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_multi().getSvgCanvas());//GEN-LINE:MVDCAAction62
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase62
                    case 2://GEN-END:MVDCACase62
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/help.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help1().getSvgCanvas());//GEN-LINE:MVDCAAction64
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase64
                    case 3://GEN-END:MVDCACase64
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/credits.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_credits().getSvgCanvas());//GEN-LINE:MVDCAAction66
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase66
                    case 4://GEN-END:MVDCACase66
                        // Insert pre-action code here
                        exitMIDlet();//GEN-LINE:MVDCAAction68
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase68
                }
            }
        } else if (displayable == credits) {
            if (command == credits.SELECT_COMMAND) {
                switch (credits.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase68
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction73
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase73
                }
            }
        } else if (displayable == multi) {
            if (command == multi.SELECT_COMMAND) {
                switch (multi.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase73
                        // Insert pre-action code here
                        mainMenu = null;
                        credits = null;
                        multi = null;
                        svgImage1 = null;
                        svgImage2 = null;
                        svgImage3 = null;
                        svgImage4 = null;
                        svgImage5 = null;
                        svgImage6 = null;
                        svgImage7 = null;
                        svgImage8 = null;
                        svgImage9 = null;
                        help1 = null;
                        help2 = null;
                        help3 = null;
                        help4 = null;
                        help5 = null;
                        help6 = null;
                        Game = null;
                        Connection = null;
                        System.gc();
                        isServer = true;
                        getDisplay().setCurrent(get_Connection());//GEN-LINE:MVDCAAction84
                        // Insert post-action code here
                        Connection.start();
                        break;//GEN-BEGIN:MVDCACase84
                    case 1://GEN-END:MVDCACase84
                        // Insert pre-action code here
                        mainMenu = null;
                        credits = null;
                        multi = null;
                        svgImage1 = null;
                        svgImage2 = null;
                        svgImage3 = null;
                        svgImage4 = null;
                        svgImage5 = null;
                        svgImage6 = null;
                        svgImage7 = null;
                        svgImage8 = null;
                        svgImage9 = null;
                        help1 = null;
                        help2 = null;
                        help3 = null;
                        help4 = null;
                        help5 = null;
                        help6 = null;
                        Game = null;
                        Connection = null;
                        System.gc();
                        isServer = false;
                        getDisplay().setCurrent(get_Connection());//GEN-LINE:MVDCAAction86
                        // Insert post-action code here
                        Connection.start();
                        break;//GEN-BEGIN:MVDCACase86
                    case 2://GEN-END:MVDCACase86
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction88
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase88
                }
            }
        } else if (displayable == help4) {
            if (command == help4.SELECT_COMMAND) {
                switch (help4.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase88
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help5().getSvgCanvas());//GEN-LINE:MVDCAAction186
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase186
                    case 1://GEN-END:MVDCACase186
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help3().getSvgCanvas());//GEN-LINE:MVDCAAction188
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase188
                    case 2://GEN-END:MVDCACase188
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction190
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase190
                }
            }
        } else if (displayable == help2) {
            if (command == help2.SELECT_COMMAND) {
                switch (help2.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase190
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help3().getSvgCanvas());//GEN-LINE:MVDCAAction172
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase172
                    case 1://GEN-END:MVDCACase172
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help1().getSvgCanvas());//GEN-LINE:MVDCAAction174
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase174
                    case 2://GEN-END:MVDCACase174
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction176
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase176
                }
            }
        } else if (displayable == help1) {
            if (command == help1.SELECT_COMMAND) {
                switch (help1.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase176
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help2().getSvgCanvas());//GEN-LINE:MVDCAAction165
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase165
                    case 1://GEN-END:MVDCACase165
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction167
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase167
                    case 2://GEN-END:MVDCACase167
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction169
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase169
                }
            }
        } else if (displayable == help5) {
            if (command == help5.SELECT_COMMAND) {
                switch (help5.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase169
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help6().getSvgCanvas());//GEN-LINE:MVDCAAction193
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase193
                    case 1://GEN-END:MVDCACase193
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help4().getSvgCanvas());//GEN-LINE:MVDCAAction195
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase195
                    case 2://GEN-END:MVDCACase195
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction197
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase197
                }
            }
        } else if (displayable == help3) {
            if (command == help3.SELECT_COMMAND) {
                switch (help3.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase197
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help4().getSvgCanvas());//GEN-LINE:MVDCAAction179
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase179
                    case 1://GEN-END:MVDCACase179
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help2().getSvgCanvas());//GEN-LINE:MVDCAAction181
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase181
                    case 2://GEN-END:MVDCACase181
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction183
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase183
                }
            }
        } else if (displayable == help6) {
            if (command == help6.SELECT_COMMAND) {
                switch (help6.getSelectedIndex()) {
                    case 0://GEN-END:MVDCACase183
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction200
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase200
                    case 1://GEN-END:MVDCACase200
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_help5().getSvgCanvas());//GEN-LINE:MVDCAAction202
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase202
                    case 2://GEN-END:MVDCACase202
                        // Insert pre-action code here
                        SoundManager.createPlayer(1, "/sounds/menu/ok.amr");
                        SoundManager.play(1);
                        
                        getDisplay().setCurrent(get_mainMenu().getSvgCanvas());//GEN-LINE:MVDCAAction204
                        // Insert post-action code here
                        break;//GEN-BEGIN:MVDCACase204
                }
            }
        }//GEN-END:MVDCACase204
        // Insert global post-action code here
        System.gc();
}//GEN-LINE:MVDCAEnd
    
    
    /** This method initializes UI of the application.//GEN-BEGIN:MVDInitBegin
     */
    private void initialize() {//GEN-END:MVDInitBegin
        getDisplay().setCurrent(get_intro());//GEN-LINE:MVDInitInit
        // initialise introduction video
        try {
            // get the video
            InputStream is = getClass().getResourceAsStream("/videos/intro.3gp");
            videoPlayer = Manager.createPlayer(is, "video/3gpp");
            videoPlayer.realize();
            videoPlayer.prefetch();
            // get the video controller
            video = (VideoControl) videoPlayer.getControl("VideoControl");
            if (video == null)
                throw new Exception("Video control not supported!");
            // put the video on the current display canvas
            video.initDisplayMode(VideoControl.USE_DIRECT_VIDEO, intro);
            video.setVisible(true);
//            video.setDisplaySize(176, 220);
//            video.setDisplayLocation(0, 0);
            // start the video
            videoPlayer.start();
        } catch(Exception e) {
//            System.out.println(e);
            this.alertError(e.toString());
        }
    }//GEN-LINE:MVDInitEnd
    
    /**
     * Displays an error message in Alert
     */
    public void alertError(String message) {
        Alert alert = new Alert("Error", message, null, AlertType.ERROR);
        Display display = Display.getDisplay(this);
        Displayable current = display.getCurrent();
        if (!(current instanceof Alert)) {
            // This next call can't be done when current is an Alert
            display.setCurrent(alert, current);
        }
    }
    
    /**
     * This method should return an instance of the display.
     */
    public Display getDisplay() {//GEN-FIRST:MVDGetDisplay
        return Display.getDisplay(this);
    }//GEN-LAST:MVDGetDisplay
    
    /**
     * This method should exit the midlet.
     */
    public void exitMIDlet() {//GEN-FIRST:MVDExitMidlet
        getDisplay().setCurrent(null);
        destroyApp(true);
        notifyDestroyed();
    }//GEN-LAST:MVDExitMidlet
    
    /** This method returns instance for Game component and should be called instead of accessing Game field directly.//GEN-BEGIN:MVDGetBegin43
     * @return Instance for Game component
     */
    public game.JunoGameCanvas get_Game() {
        if (Game == null) {//GEN-END:MVDGetBegin43
            // Insert pre-init code here
            Game = new game.JunoGameCanvas();//GEN-BEGIN:MVDGetInit43
            Game.setFullScreenMode(true);//GEN-END:MVDGetInit43
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd43
        return Game;
    }//GEN-END:MVDGetEnd43
    
    
    
    /** This method returns instance for intro component and should be called instead of accessing intro field directly.//GEN-BEGIN:MVDGetBegin54
     * @return Instance for intro component
     */
    public org.netbeans.microedition.lcdui.SplashScreen get_intro() {
        if (intro == null) {//GEN-END:MVDGetBegin54
            // Insert pre-init code here
            intro = new org.netbeans.microedition.lcdui.SplashScreen(getDisplay());//GEN-BEGIN:MVDGetInit54
            intro.setCommandListener(this);
            intro.setFullScreenMode(true);
            intro.setTimeout(45000);//GEN-END:MVDGetInit54
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd54
        return intro;
    }//GEN-END:MVDGetEnd54
    
    /** This method returns instance for mainMenu component and should be called instead of accessing mainMenu field directly.//GEN-BEGIN:MVDGetBegin56
     * @return Instance for mainMenu component
     */
    public org.netbeans.microedition.svg.SVGMenu get_mainMenu() {
        if (mainMenu == null) {//GEN-END:MVDGetBegin56
            // Insert pre-init code here
            mainMenu = new org.netbeans.microedition.svg.SVGMenu(get_svgImage1(), getDisplay());//GEN-BEGIN:MVDGetInit56
            mainMenu.setCommandListener(this);
            mainMenu.setResetAnimationWhenStopped(true);
            mainMenu.addMenuElement("menuItem_x5F_0_x5F_solo");
            mainMenu.addMenuElement("menuItem_x5F_1_x5F_multi");
            mainMenu.addMenuElement("menuItem_x5F_3_x5F_help");
            mainMenu.addMenuElement("menuItem_x5F_4_x5F_credits");
            mainMenu.addMenuElement("menuItem_x5F_5_x5F_quit");//GEN-END:MVDGetInit56
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd56
        return mainMenu;
    }//GEN-END:MVDGetEnd56
    
    /** This method returns instance for svgImage1 component and should be called instead of accessing svgImage1 field directly.//GEN-BEGIN:MVDGetBegin58
     * @return Instance for svgImage1 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage1() {
        if (svgImage1 == null) {//GEN-END:MVDGetBegin58
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit58
                svgImage1 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/mainMenu.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit58
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd58
        return svgImage1;
    }//GEN-END:MVDGetEnd58
    
    /** This method returns instance for credits component and should be called instead of accessing credits field directly.//GEN-BEGIN:MVDGetBegin69
     * @return Instance for credits component
     */
    public org.netbeans.microedition.svg.SVGMenu get_credits() {
        if (credits == null) {//GEN-END:MVDGetBegin69
            // Insert pre-init code here
            credits = new org.netbeans.microedition.svg.SVGMenu(get_svgImage2(), getDisplay());//GEN-BEGIN:MVDGetInit69
            credits.setCommandListener(this);
            credits.setResetAnimationWhenStopped(true);
            credits.addMenuElement("menuItem_x5F_2_x5F_back");//GEN-END:MVDGetInit69
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd69
        return credits;
    }//GEN-END:MVDGetEnd69
    
    /** This method returns instance for svgImage2 component and should be called instead of accessing svgImage2 field directly.//GEN-BEGIN:MVDGetBegin71
     * @return Instance for svgImage2 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage2() {
        if (svgImage2 == null) {//GEN-END:MVDGetBegin71
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit71
                svgImage2 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/credits.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit71
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd71
        return svgImage2;
    }//GEN-END:MVDGetEnd71
    
    
    
    /** This method returns instance for multi component and should be called instead of accessing multi field directly.//GEN-BEGIN:MVDGetBegin80
     * @return Instance for multi component
     */
    public org.netbeans.microedition.svg.SVGMenu get_multi() {
        if (multi == null) {//GEN-END:MVDGetBegin80
            // Insert pre-init code here
            multi = new org.netbeans.microedition.svg.SVGMenu(get_svgImage4(), getDisplay());//GEN-BEGIN:MVDGetInit80
            multi.setCommandListener(this);
            multi.setResetAnimationWhenStopped(true);
            multi.addMenuElement("menuItem_x5F_0_x5F_create");
            multi.addMenuElement("menuItem_x5F_1_x5F_join");
            multi.addMenuElement("menuItem_x5F_2_x5F_back");//GEN-END:MVDGetInit80
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd80
        return multi;
    }//GEN-END:MVDGetEnd80
    
    /** This method returns instance for svgImage4 component and should be called instead of accessing svgImage4 field directly.//GEN-BEGIN:MVDGetBegin82
     * @return Instance for svgImage4 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage4() {
        if (svgImage4 == null) {//GEN-END:MVDGetBegin82
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit82
                svgImage4 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/multiplay.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit82
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd82
        return svgImage4;
    }//GEN-END:MVDGetEnd82
    
    /** This method returns instance for Connection component and should be called instead of accessing Connection field directly.//GEN-BEGIN:MVDGetBegin89
     * @return Instance for Connection component
     */
    public game.ConnectionWaitCanvas get_Connection() {
        if (Connection == null) {//GEN-END:MVDGetBegin89
            // Insert pre-init code here
            Connection = new game.ConnectionWaitCanvas();//GEN-BEGIN:MVDGetInit89
            Connection.setFullScreenMode(true);//GEN-END:MVDGetInit89
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd89
        return Connection;
    }//GEN-END:MVDGetEnd89
    
    
    
    
    
    
    
    
    
    
    
    

    /** This method returns instance for svgImage3 component and should be called instead of accessing svgImage3 field directly.//GEN-BEGIN:MVDGetBegin151
     * @return Instance for svgImage3 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage3() {
        if (svgImage3 == null) {//GEN-END:MVDGetBegin151
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit151
                svgImage3 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/help1.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit151
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd151
        return svgImage3;
    }//GEN-END:MVDGetEnd151

    /** This method returns instance for help1 component and should be called instead of accessing help1 field directly.//GEN-BEGIN:MVDGetBegin152
     * @return Instance for help1 component
     */
    public org.netbeans.microedition.svg.SVGMenu get_help1() {
        if (help1 == null) {//GEN-END:MVDGetBegin152
            // Insert pre-init code here
            help1 = new org.netbeans.microedition.svg.SVGMenu(get_svgImage3(), getDisplay());//GEN-BEGIN:MVDGetInit152
            help1.setCommandListener(this);
            help1.addMenuElement("menuItem_x5F_0_x5F_next");
            help1.addMenuElement("menuItem_x5F_1_x5F_menu");
            help1.addMenuElement("menuItem_x5F_2_x5F_back");//GEN-END:MVDGetInit152
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd152
        return help1;
    }//GEN-END:MVDGetEnd152

    /** This method returns instance for help2 component and should be called instead of accessing help2 field directly.//GEN-BEGIN:MVDGetBegin154
     * @return Instance for help2 component
     */
    public org.netbeans.microedition.svg.SVGMenu get_help2() {
        if (help2 == null) {//GEN-END:MVDGetBegin154
            // Insert pre-init code here
            help2 = new org.netbeans.microedition.svg.SVGMenu(get_svgImage5(), getDisplay());//GEN-BEGIN:MVDGetInit154
            help2.setCommandListener(this);
            help2.addMenuElement("menuItem_x5F_0_x5F_next");
            help2.addMenuElement("menuItem_x5F_1_x5F_back");
            help2.addMenuElement("menuItem_x5F_2_x5F_menu");//GEN-END:MVDGetInit154
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd154
        return help2;
    }//GEN-END:MVDGetEnd154

    /** This method returns instance for help3 component and should be called instead of accessing help3 field directly.//GEN-BEGIN:MVDGetBegin156
     * @return Instance for help3 component
     */
    public org.netbeans.microedition.svg.SVGMenu get_help3() {
        if (help3 == null) {//GEN-END:MVDGetBegin156
            // Insert pre-init code here
            help3 = new org.netbeans.microedition.svg.SVGMenu(get_svgImage6(), getDisplay());//GEN-BEGIN:MVDGetInit156
            help3.setCommandListener(this);
            help3.addMenuElement("menuItem_x5F_0_x5F_next");
            help3.addMenuElement("menuItem_x5F_1_x5F_back");
            help3.addMenuElement("menuItem_x5F_2_x5F_menu");//GEN-END:MVDGetInit156
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd156
        return help3;
    }//GEN-END:MVDGetEnd156

    /** This method returns instance for help4 component and should be called instead of accessing help4 field directly.//GEN-BEGIN:MVDGetBegin158
     * @return Instance for help4 component
     */
    public org.netbeans.microedition.svg.SVGMenu get_help4() {
        if (help4 == null) {//GEN-END:MVDGetBegin158
            // Insert pre-init code here
            help4 = new org.netbeans.microedition.svg.SVGMenu(get_svgImage7(), getDisplay());//GEN-BEGIN:MVDGetInit158
            help4.setCommandListener(this);
            help4.addMenuElement("menuItem_x5F_0_x5F_next");
            help4.addMenuElement("menuItem_x5F_1_x5F_back");
            help4.addMenuElement("menuItem_x5F_2_x5F_menu");//GEN-END:MVDGetInit158
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd158
        return help4;
    }//GEN-END:MVDGetEnd158

    /** This method returns instance for help5 component and should be called instead of accessing help5 field directly.//GEN-BEGIN:MVDGetBegin160
     * @return Instance for help5 component
     */
    public org.netbeans.microedition.svg.SVGMenu get_help5() {
        if (help5 == null) {//GEN-END:MVDGetBegin160
            // Insert pre-init code here
            help5 = new org.netbeans.microedition.svg.SVGMenu(get_svgImage8(), getDisplay());//GEN-BEGIN:MVDGetInit160
            help5.setCommandListener(this);
            help5.addMenuElement("menuItem_x5F_0_x5F_next");
            help5.addMenuElement("menuItem_x5F_1_x5F_back");
            help5.addMenuElement("menuItem_x5F_2_x5F_menu");//GEN-END:MVDGetInit160
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd160
        return help5;
    }//GEN-END:MVDGetEnd160

    /** This method returns instance for help6 component and should be called instead of accessing help6 field directly.//GEN-BEGIN:MVDGetBegin162
     * @return Instance for help6 component
     */
    public org.netbeans.microedition.svg.SVGMenu get_help6() {
        if (help6 == null) {//GEN-END:MVDGetBegin162
            // Insert pre-init code here
            help6 = new org.netbeans.microedition.svg.SVGMenu(get_svgImage9(), getDisplay());//GEN-BEGIN:MVDGetInit162
            help6.setCommandListener(this);
            help6.addMenuElement("menuItem_x5F_0_x5F_next");
            help6.addMenuElement("menuItem_x5F_1_x5F_back");
            help6.addMenuElement("menuItem_x5F_2_x5F_menu");//GEN-END:MVDGetInit162
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd162
        return help6;
    }//GEN-END:MVDGetEnd162

    /** This method returns instance for svgImage5 component and should be called instead of accessing svgImage5 field directly.//GEN-BEGIN:MVDGetBegin170
     * @return Instance for svgImage5 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage5() {
        if (svgImage5 == null) {//GEN-END:MVDGetBegin170
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit170
                svgImage5 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/help2.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit170
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd170
        return svgImage5;
    }//GEN-END:MVDGetEnd170

    /** This method returns instance for svgImage6 component and should be called instead of accessing svgImage6 field directly.//GEN-BEGIN:MVDGetBegin177
     * @return Instance for svgImage6 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage6() {
        if (svgImage6 == null) {//GEN-END:MVDGetBegin177
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit177
                svgImage6 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/help3.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit177
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd177
        return svgImage6;
    }//GEN-END:MVDGetEnd177

    /** This method returns instance for svgImage7 component and should be called instead of accessing svgImage7 field directly.//GEN-BEGIN:MVDGetBegin184
     * @return Instance for svgImage7 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage7() {
        if (svgImage7 == null) {//GEN-END:MVDGetBegin184
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit184
                svgImage7 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/help4.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit184
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd184
        return svgImage7;
    }//GEN-END:MVDGetEnd184

    /** This method returns instance for svgImage8 component and should be called instead of accessing svgImage8 field directly.//GEN-BEGIN:MVDGetBegin191
     * @return Instance for svgImage8 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage8() {
        if (svgImage8 == null) {//GEN-END:MVDGetBegin191
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit191
                svgImage8 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/help5.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit191
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd191
        return svgImage8;
    }//GEN-END:MVDGetEnd191

    /** This method returns instance for svgImage9 component and should be called instead of accessing svgImage9 field directly.//GEN-BEGIN:MVDGetBegin198
     * @return Instance for svgImage9 component
     */
    public javax.microedition.m2g.SVGImage get_svgImage9() {
        if (svgImage9 == null) {//GEN-END:MVDGetBegin198
            // Insert pre-init code here
            try {//GEN-BEGIN:MVDGetInit198
                svgImage9 = (javax.microedition.m2g.SVGImage) javax.microedition.m2g.SVGImage.createImage(JunoMidlet.class.getResourceAsStream("/svg/help6.svg"), null);
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            }//GEN-END:MVDGetInit198
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd198
        return svgImage9;
    }//GEN-END:MVDGetEnd198
    
    public void startApp() {
    }
    
    public void pauseApp() {
    }
    
    public void destroyApp(boolean unconditional) {
        if(Game != null)
            Game.stop();
    }
    
}
