package game;

/**
 * Player.java
 * A player (human or CPU) of a game.
 * @author Noda
 */
public final class Player {
    
    // constants
    public static final int MAX_ACTIONS_TYPE = 3;   // maximum number of different actions for a player
    public static final int NUM_AVATAR = 8;         // number of different avatars
    public static final int NUM_NAMES = 8;          // number of different names for men and women
    public static final String[] NAMES_M = {        // different player names for men
        "Ali M.", 
        "Jack S.",
        "Tony P.",
        "Chuck N.",
        "Phillipe M.",
        "Kamel W.",
        "Jacques L.",
        "Peter P."
    };
    public static final String[] NAMES_F = {        // different player names for women
        "Clara M.", 
        "Audrey S.",
        "Maryse B.",
        "Claire B.",
        "Nicky S.",
        "Miss Cafet.",
        "Xiao T.",
        "Erika L."
    };

    // attributes
    public int server_id;                           // id in the server array
    public int type;                                // type of the player
    public boolean alive;                           // status of the player
    public int[] actions_left;                      // number of available actions (-1 = infinite)
    public int vote;                                // player vote for the current turn (-1 -> blank vote)
    public int avatar;                              // id of the avatar
    public String name;                             // name of the player
    public int inRoom;                              // id of the room where the player is
     
    /** creates a new instance of Player */
    public Player(int type, int avatar, String name, int room, int server_id) {
        this.type = type;
        this.avatar = avatar;
        this.name = name;
        inRoom = room;
        actions_left = new int[MAX_ACTIONS_TYPE];
        alive = true;
        this.server_id = server_id;
        vote = -1;
    }
}
