package game;

/**
 * PlayerType.java
 * Different player types enumeration.
 * @author Noda
 */
public final class PlayerType {
    
    public static final int NUM_TYPES = 4;
    public static final int TECHNICIAN = 0;
    public static final int WRECKER = 1;
    public static final int COMMANDER = 2;
    public static final int ALIEN = 3;
    
    /** prevents instanciation */
    private PlayerType() {}
    
    /** returns the string corresponding to the type specified */
    public final static String getRole(int type) {
        switch(type) {
            case PlayerType.COMMANDER:
                return "Commander";
            case PlayerType.ALIEN:
                return "Alien";
            case PlayerType.TECHNICIAN:
                return "Technician";
            case PlayerType.WRECKER:
                return "Wrecker";
        }
        return "";
    }
    
    /** returns the mission corresponding to the type specified */
    public final static String getMission(int type) {
        switch(type) {
            case PlayerType.COMMANDER:
                return "Lead the mission\nto its goal.";
            case PlayerType.ALIEN:
                return "Be the last person\nstanding, and eat\nthe commander.";
            case PlayerType.TECHNICIAN:
                return "Repair damages,\nlet the mission\nsucceed.";
            case PlayerType.WRECKER:
                return "Destroy whatever\nyou find.\nLet the mission\nfail.";
        }
        return "";
    }

}
