package game;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.util.Vector;
import javax.bluetooth.UUID;
import javax.microedition.io.Connector;
import javax.microedition.io.StreamConnection;
import javax.microedition.io.StreamConnectionNotifier;

/**
 * Server.java
 * Server of a game instance.
 * @author Drag-on
 */
public class Server implements Runnable {
    
    // attributes
    static String SERVICE_UUID_STRING = "C25D49733B7845EA982354ACD65FC2A4";     // proposed service
    static UUID SERVICE_UUID = new UUID( SERVICE_UUID_STRING, false );          // service UUID
    static String SERVICE_NAME = "Juno";                                        // service name
    static String SERVICE_URL = "btspp://localhost:" + SERVICE_UUID + ";name=" + SERVICE_NAME;  // url to save service
    public Vector connection;       // vector of connections
    public Vector vectReader;       // vecteur of objects for data read
    private Thread t;               // current thread
    public Writer writer;           // object to write data to clients
    private StreamConnectionNotifier notifier;  // notify action
    private boolean accept;                     // true if the server need to accept more clients
    
    /** Creates a new instance of Server */
    public Server(){
        connection=new Vector();
        vectReader=new Vector();
        t=new Thread(this);
        t.start();
        writer=new Writer();
        accept = true;
    }
    
    /** main loop for the thread */
    public void run() {
        System.out.println("Serveur lance correctement");
        try{
            notifier = (StreamConnectionNotifier)Connector.open( SERVICE_URL );
            
            while(accept && connection.size()<6){
                StreamConnection conn=notifier.acceptAndOpen();
                connection.addElement(conn);
                if (accept){
                    System.out.println("un client dtect !");
                    DataInputStream in;
                    Reader reader=new Reader();
                    conn=(StreamConnection)connection.lastElement();
                    DataOutputStream out=conn.openDataOutputStream();
                    in=conn.openDataInputStream();
                    reader.in=in;
                    vectReader.addElement(reader);
                    writer.outPut.addElement(out);} else connection.removeElement(conn);
                ConnectionWaitCanvas.num_connected=connection.size();
            }
        } catch(Exception e){
            System.out.println("serveur ferm");
        }
    }
    
    /** start the game (stop accepting clients) */
    public void startgame() {
        accept=false;
        synchronized(t) {
            try {
                t.wait(100);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }
    
    /** disconnect server */
    public void disconnect(){
        try {
            byte[] b= new byte[1];
            writer.write(b);
            writer.disconnect();
            for(int i=0;i<vectReader.size();i++){
                Reader r=(Reader)vectReader.elementAt(i);
                r.disconnect();
            }
            for(int i=0;i<connection.size();i++){
                StreamConnection conn=(StreamConnection)connection.elementAt(i);
                conn.close();
            }
            notifier.close();
        } catch (Exception ex) {
            System.out.println("Erreur de fermeture du serveur");
        }
    }
    
}
