package game;

import java.io.DataOutputStream;
import java.io.IOException;
import java.util.Vector;

/**
 * Writer.java
 * Class to write to clients.
 * @author Drag-on
 */
public class Writer implements Runnable {
    
    // attributes
    public Vector outPut;               // vector of output streams
    public Thread w;                    // current thread
    private boolean isConnected=true;   // true if the connection is alive
    private int ordre=-1;               // order to be executed by the thread
    private Mission mission=null;       // object mission to modify
    
    /** Creates a new instance of Writer */
    public Writer(){
        outPut=new Vector();
        w=new Thread(this);
        w.start();
    }
    
    /** main loop for the thread */
    public void run(){
        while (isConnected){
            synchronized(w){
                try {
                    w.wait();
                } catch (InterruptedException e) {
                    System.out.println("wait()");
                }}
            switch (ordre){
                case 0:commander_decision(mission);break;
                default:break;}
        }
    }
    
    /** method called by mission to give orders */
    public void wake(int ordre, Mission m) {
        synchronized(w) {
            this.ordre=ordre;
            mission=m;
            w.notify();
        }
    }
    
    /** add a DataOutputStream */
    public void add(Object out){
        outPut.addElement(out);
    }
    
    /** send a byte array */
    public void write(byte[] b){
        byte[] temp=b;
        int i=0;
        while (i<outPut.size()){
            DataOutputStream out=(DataOutputStream)outPut.elementAt(i);
            temp[0]=(byte)(i+1);
            try {
                out.write(temp);out.flush();
                i++;
            } catch (IOException e) {
                outPut.removeElement(out);
            }
        }
    }
    
    /** send commander decision */
    private void commander_decision(Mission m){
        byte[] b=new byte[2];
        b[1]=(byte)m.eliminate;
        write(b);
    }
    
    /** disconnect */
    public void disconnect(){
        try {
            for (int i=0;i<outPut.size();i++){
                DataOutputStream out=(DataOutputStream)outPut.elementAt(i);
                out.close();
            }
            outPut.removeAllElements();
            isConnected=false;
            wake(-1,null);
        } catch (IOException ex) {}
    }
    
}
